c read_time_all.f
c Read time data from all relevant data files.
c Miroslav Broz (miroslav.broz@email.cz), Mar 19th 2016

      subroutine read_time_all(n, t)

      implicit none
      include 'simplex.inc'
      include 'dependent.inc'

      integer n
      real*8 t(TIMEMAX)

      integer i,i1st,iu
      data i1st /0/
      save i1st

      if (i1st.eq.0) then
        n = 0
        do i = 1, nbod
          call read_time(file_SKY(i), n, t)
          call read_time(file_RV(i), n, t)
        enddo
        call read_time(file_TTV, n, t)
        call read_time(file_ECL, n, t)
        i1st = 1
      endif

      call quicksort(n, t)

      if (debug_swift) then
        open(unit=iu, file="times.dat", status="unknown")
        write(iu,*) "# t_of_interest [JD]"
        do i = 1, n
          write(iu,*) t(i)
        enddo
        close(iu)
      endif

      return
      end


