#!/usr/bin/gnuplot

set xl "iter"
set yl "chi^2"

set logscale y
set mytics 10
set yr [1e0:1e8]
set ytics 10
set mytics 10

p "<awk '/# chi/{ i++; print i, $NF; }' simplex.out"     u 1:2 t "chi^2" w l,\
  "<awk '/# chi/{ i++; print i, $(NF-5); }' simplex.out" u 1:2 t "SKY"   w l,\
  "<awk '/# chi/{ i++; print i, $(NF-4); }' simplex.out" u 1:2 t "TTV"   w l,\
  "<awk '/# chi/{ i++; print i, $(NF-3); }' simplex.out" u 1:2 t "RV"    w l,\
  "<awk '/# chi/{ i++; print i, $(NF-2); }' simplex.out" u 1:2 t "ECL"   w l,\
  "<awk '/# chi/{ i++; print i, $(NF-1); }' simplex.out" u 1:2 t "MASS"  w l
pa -1

set term png small
set out "chi2_iter.png"
rep


