c simplex.inc
c Include file for simplex subroutines.
c Miroslav Broz (miroslav.broz@email.cz), Jul 24th 2015

      integer NDIMMAX
      parameter(NDIMMAX = 28)			! number of chi^2 dimensions (free parameters)

      integer NBODMAX, OUTMAX1, OUTMAX2, OUTMAX, OBSMAX, MINMAX, TIMEMAX
      parameter (NBODMAX=4)			! max number of bodies
      parameter (OUTMAX1=10000)			! max number of forward integration points
      parameter (OUTMAX2=10000)			! max number of backward integration points
      parameter (OUTMAX=OUTMAX1+OUTMAX2)	! max number of integration points
      parameter (OBSMAX=1000)			! max number of observations
      parameter (MINMAX=OUTMAX)			! max number of minima
      parameter (TIMEMAX=OBSMAX*(2*NBODMAX+2))  ! max number of times of interest
      

